> ## Documentation Index
> Fetch the complete documentation index at: https://docs.neosantara.xyz/llms.txt
> Use this file to discover all available pages before exploring further.

# List models

> Lists the currently available models, and provides information about each one such as the owner and availability.



## OpenAPI

````yaml /api-reference/openapi.json get /v1/models
openapi: 3.1.0
info:
  title: Neosantara AI API
  description: OpenAI-compatible LLM Gateway
  version: 1.0.0
servers:
  - url: https://api.neosantara.xyz
    description: Neosantara Production Gateway
security:
  - bearerAuth: []
paths:
  /v1/models:
    get:
      tags:
        - Models
      summary: List models
      description: >-
        Lists the currently available models, and provides information about
        each one such as the owner and availability.
      operationId: getV1Models
      parameters:
        - in: query
          name: provider
          schema:
            type: string
        - in: query
          name: capability
          schema:
            type: string
            enum:
              - chat
              - embeddings
              - image_generation
              - web_search
              - function_calling
        - in: query
          name: include_deprecated
          schema:
            type: boolean
      responses:
        '200':
          description: Successful response
          content:
            application/json:
              schema:
                type: object
                properties:
                  object:
                    type: string
                    const: list
                  data:
                    type: array
                    items: {}
                required:
                  - object
                  - data
      security:
        - bearerAuth: []
components:
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      bearerFormat: JWT

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.